Bug 1194491 - PineBook Pro - Initial support
PineBook Pro - Initial support
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: Guillaume GARDET
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-10 19:16 UTC by Dmitry Markov
Modified: 2022-04-19 10:55 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl (606.12 KB, text/plain)
2022-01-24 14:10 UTC, Dmitry Markov
Details
ifcfg-wlan0 (162 bytes, text/plain)
2022-01-24 14:13 UTC, Dmitry Markov
Details
journal_opensuse_jeos_0 (733.25 KB, text/plain)
2022-01-24 16:09 UTC, Dmitry Markov
Details
journal_opensuse_jeos_1 (125.35 KB, text/plain)
2022-01-24 16:36 UTC, Dmitry Markov
Details
grubeditadddevtree (1.20 MB, image/jpeg)
2022-01-24 16:56 UTC, Dmitry Markov
Details
dmesg (54.40 KB, text/plain)
2022-01-24 17:29 UTC, Dmitry Markov
Details
journalctl (385.00 KB, text/plain)
2022-01-24 17:29 UTC, Dmitry Markov
Details
dmesg_suse_usb (67.78 KB, text/plain)
2022-01-27 05:02 UTC, Dmitry Markov
Details
journal_suse_usb (1.29 MB, text/plain)
2022-01-27 05:02 UTC, Dmitry Markov
Details
audiovideo (4.22 KB, text/plain)
2022-01-27 05:40 UTC, Dmitry Markov
Details
screen (1.24 MB, image/jpeg)
2022-02-12 15:19 UTC, Dmitry Markov
Details
dmesg (2.13 MB, image/jpeg)
2022-02-19 16:11 UTC, Dmitry Markov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Markov 2022-01-10 19:16:40 UTC
Today I got my PineBook Pro and the first thing I tried was to install opensuse. I took ready-made images for PineBook (jeos and KDE) and tried a netinstall image for aarch64. Everywhere I get the same result: grub is visible, and then the black screen. Unfortunately I can't access uart.
Comment 1 Dmitry Markov 2022-01-17 19:17:05 UTC
In a chat about PineBook, I was told that I should write this link here:

https://patchwork.ozlabs.org/project/uboot/patch/20220116201814.11672-3-alpernebiyasak@gmail.com/
Comment 2 Matthias Brugger 2022-01-18 13:06:51 UTC
(In reply to Dmitry Markov from comment #1)
> In a chat about PineBook, I was told that I should write this link here:
> 
> https://patchwork.ozlabs.org/project/uboot/patch/20220116201814.11672-3-
> alpernebiyasak@gmail.com/

This is a patch for MMC/SDHCI driver. I understand you can access the SD card, as you are able to load grub, so I don't think this will fix the issue for you.

I wonder what your issues actually are.
1) Can you see the grub menu?
2) Once the system get's booted from Grub, do you see messages informing that the kernel and inird got loaded?
3) What is the last message you see before you get the black screen you are talking about?

Which version of Tumbleweed did you try? It's a rolling release and sometimes things get fixed upstream over time.
If that's not the case, can you try to install openSUSE Leap so that we can start to debug from there (e.g. installing and booting the tumbleweed kernel from a openSUSE Leap system).
Comment 3 Dmitry Markov 2022-01-18 13:31:27 UTC
first i tried to boot from usb (at this point emmc built-in was running manjaro by default) i saw grub2 and its attempt to boot kernel. but after that, a black screen (as if the kernel did not know how to work with the GPU (however, judging by the activity of the LED on the flash drive, the OS was running, only the graphics did not work)).
I couldn't fix it, so I booted into manjaro from a USB and used unxz and dd to write the opensuse tumbleweed image to emmc. Now the pinebook won't turn on at all. later I borrowed a microsd from a friend and tried to disable emmc to boot from it. it was also not successful.
I described all my actions in the pinebook chat in telegram where they gave me this link and advised me to leave it here.
Comment 4 Matthias Brugger 2022-01-18 13:44:55 UTC
(In reply to Dmitry Markov from comment #3)
> first i tried to boot from usb (at this point emmc built-in was running
> manjaro by default) i saw grub2 and its attempt to boot kernel. but after
> that, a black screen (as if the kernel did not know how to work with the GPU
> (however, judging by the activity of the LED on the flash drive, the OS was
> running, only the graphics did not work)).
> I couldn't fix it, so I booted into manjaro from a USB and used unxz and dd
> to write the opensuse tumbleweed image to emmc. Now the pinebook won't turn
> on at all. later I borrowed a microsd from a friend and tried to disable
> emmc to boot from it. it was also not successful.
> I described all my actions in the pinebook chat in telegram where they gave
> me this link and advised me to leave it here.

so you can boot manjaro from SD/USB/eMMC but not openSUSE Tumbleweed?
Comment 5 Dmitry Markov 2022-01-18 15:06:35 UTC
i found a way to boot from usb using tow-boot on microsd. I am attaching a video of what it looks like.
https://disk.yandex.ru/i/Bddo18huUTaLsQ
Comment 6 Dmitry Markov 2022-01-18 17:23:36 UTC
I restored manjaro to emmc using tow-boot. but this distribution does not suit me at all. I would still like to get opensuse to work. I hope you help me.
I still get a black screen when trying to boot opensuse from microsd. but the LED is green, which indicates that the system is starting up, only the graphics are not working.
Comment 7 Ivan Ivanov 2022-01-19 13:00:45 UTC
Are you using openSUSE referenced in this [1] page or something else?

[1] https://en.opensuse.org/HCL:Pinebook-Pro-RK3399
Comment 9 Ivan Ivanov 2022-01-20 09:34:15 UTC
Hm, I am afraid I don't have such device at hand. 
Unless you manage to connect serial cable to it I'm 
not sure I could help.
Comment 10 Dmitry Markov 2022-01-20 10:05:12 UTC
I'm in a bad position. 
I can't order the original cable, it just won't reach my country. 
I can try to make such a cable myself from improvised materials. But this one will take a lot of time, besides, I have never done anything like this and I am afraid of spoiling the device completely. 
If there's any way to do without serial that would be fine. 

Perhaps it is possible to tell the system to display this data on the screen instead of tty? I saw something similar in the documentation, but now I could not find it. 
Or maybe it is possible to specify something in the cmdline kernel to reset the necessary data for example to a text file on a flash drive?
In principle, nothing prevents me from using chroot to put the desired script in autorun or pack in initrd. I would just know what.
Comment 11 Ivan Ivanov 2022-01-20 13:48:19 UTC
Just to clarify. On Tumbleweed did you see GRUB menu or not?
Comment 12 Dmitry Markov 2022-01-20 13:51:40 UTC
when manjaro (with his own u-boot) is recorded on emmc and image opensuse is recorded on microsd, yes I see opensuse grub.
if it will be convenient for you, I can record a video of how it looks (the truth is only with usb flash since I returned the microsd to the owner).
Comment 13 Ivan Ivanov 2022-01-21 11:36:05 UTC
Thanks! 

Then it looks like Tumbleweed U-boot could be missing patch
that you have mentioned. This patch fairly recent (16.01.2022).

Once more question. If you use Manjaro U-Boot are you 
able to boot Tumbleweed completely, for example to 
graphical desktop environment?
Comment 14 Dmitry Markov 2022-01-21 17:06:15 UTC
So, I decided to record a video of my pain. I hope I've explained everything in it clearly enough. Only with manjaro u-boot, and only on emmc I can download opensuse. With u-boot from opensuse image even on the emmc I can't boot at all, pineBook just doesn't respond to the power button. 
Sorry, I don't know which service is better to choose for video, I used the usual one for myself.
https://disk.yandex.ru/i/FZeqyMNGoNK0dQ
Comment 15 Matthias Brugger 2022-01-24 12:20:24 UTC
(In reply to Dmitry Markov from comment #14)
> So, I decided to record a video of my pain. I hope I've explained everything
> in it clearly enough. Only with manjaro u-boot, and only on emmc I can
> download opensuse. With u-boot from opensuse image even on the emmc I can't
> boot at all, pineBook just doesn't respond to the power button. 
> Sorry, I don't know which service is better to choose for video, I used the
> usual one for myself.
> https://disk.yandex.ru/i/FZeqyMNGoNK0dQ

When you reach grub menu, can you press 'e' to enter the edit mode. Please provide what the entry looks like. I can see that in the DTS the standard out path is set to ttyS2, maybe you can try to add 'console=tty' and then boot with ctrl+x
Comment 16 Dmitry Markov 2022-01-24 14:10:59 UTC
Created attachment 855524 [details]
journalctl
Comment 17 Dmitry Markov 2022-01-24 14:12:40 UTC
> When you reach grub menu, can you press 'e' to enter the edit mode. Please
> provide what the entry looks like. I can see that in the DTS the standard
> out path is set to ttyS2, maybe you can try to add 'console=tty' and then
> boot with ctrl+x

I tried it, but the result was the same black screen.

after which I had an idea. I load to manjaro and chroot in opensuse, I changed the password to root user and made sure that sshd is configured to start and firewald is deleted. then I tuned wifi through yast (of course he could not connect from chroot, but at least he saved the config). but unfortunately after downloading it does not connect to wi-fi. however, after that I came up with the idea to also take the journaltl log through chroot. I will attach it here.

maybe there are more ideas that I can do to get later through chroot useful information that will help me solve my problems?

I’ll attach the wlan0 just in case here too
Comment 18 Dmitry Markov 2022-01-24 14:13:52 UTC
Created attachment 855526 [details]
ifcfg-wlan0
Comment 19 Guillaume GARDET 2022-01-24 14:18:27 UTC
The journalctl log shows:
янв 24 18:07:16 localhost kernel: rockchip-dp ff970000.edp: no DP phy configured
янв 24 18:07:16 localhost kernel: cdn-dp fec00000.dp: [drm:cdn_dp_probe [rockchipdrm]] *ERROR* missing extcon or phy
янв 24 18:07:16 localhost kernel: cdn-dp: probe of fec00000.dp failed with error -22

So, you likely miss this patch: https://lkml.org/lkml/2021/7/15/752 which is part of kernel 5.16. And you are running an image with kernel 5.15.

Could you try latest openSUSE Tumbleweed image, please?
Comment 20 Dmitry Markov 2022-01-24 16:09:24 UTC
Created attachment 855537 [details]
journal_opensuse_jeos_0

(In reply to Guillaume GARDET from comment #19)
> The journalctl log shows:
> янв 24 18:07:16 localhost kernel: rockchip-dp ff970000.edp: no DP phy
> configured
> янв 24 18:07:16 localhost kernel: cdn-dp fec00000.dp: [drm:cdn_dp_probe
> [rockchipdrm]] *ERROR* missing extcon or phy
> янв 24 18:07:16 localhost kernel: cdn-dp: probe of fec00000.dp failed with
> error -22
> 
> So, you likely miss this patch: https://lkml.org/lkml/2021/7/15/752 which is
> part of kernel 5.16. And you are running an image with kernel 5.15.
> 
> Could you try latest openSUSE Tumbleweed image, please?

so, I again made chroot in opensuse on usb flash drive and updated the system. I got a fresh core 5.16.
but the situation has not changed, after grub I see a black screen.
for the purity of the experiment, I will now try to download a more recent image and try with it, but as I understand it, it will be the same.

I attach, just in case, an updated journalctl
Comment 21 Guillaume GARDET 2022-01-24 16:26:14 UTC
There are still references to the lines mentioned above.
So, it seems a wrong Device Tree is used. Maybe u-boot from Manjaro does load the device tree from Manjaro instead of the one from openSUSE ?
Comment 22 Dmitry Markov 2022-01-24 16:31:14 UTC
(In reply to Guillaume GARDET from comment #21)
> There are still references to the lines mentioned above.
> So, it seems a wrong Device Tree is used. Maybe u-boot from Manjaro does
> load the device tree from Manjaro instead of the one from openSUSE ?

if I knew..
I tried to write opensuse image directly to emmc and got a device that does not respond to the on button. for several days I can’t do anything until they told me about the tow-boot which helped return to emmc manjaro.
Comment 23 Dmitry Markov 2022-01-24 16:36:54 UTC
Created attachment 855538 [details]
journal_opensuse_jeos_1

and so I tried to pump out the newest image of opensuse tumbleweed jeos and record it. I attach journalctl on this attempt
Comment 24 Guillaume GARDET 2022-01-24 16:45:34 UTC
To load the right device tree, on grub, please press 'e' to enter the edit mode, when "openSUSE Tumbleweed" is selected on the graphical menu .
Then, you can add a new line with:
  devicetree /boot/dtb/rockchip/rk3399-pinebook-pro.dtb

(Please take a picture to confirm you did the right thing here)

And to start the boot, press ctrl-x.
Comment 25 Dmitry Markov 2022-01-24 16:56:59 UTC
Created attachment 855539 [details]
grubeditadddevtree

(In reply to Guillaume GARDET from comment #24)
> To load the right device tree, on grub, please press 'e' to enter the edit
> mode, when "openSUSE Tumbleweed" is selected on the graphical menu .
> Then, you can add a new line with:
>   devicetree /boot/dtb/rockchip/rk3399-pinebook-pro.dtb
> 
> (Please take a picture to confirm you did the right thing here)
> 
> And to start the boot, press ctrl-x.

okay. I did it.
(in attachment)
after which I saw the inscription that the deticetree file was not found.
while I am again loaded with emmc that I mount the drive and check if this file is on it, tell me if I did everything right?
Comment 26 Guillaume GARDET 2022-01-24 17:05:12 UTC
(In reply to Dmitry Markov from comment #25)
> Created attachment 855539 [details]
> grubeditadddevtree
> 
> (In reply to Guillaume GARDET from comment #24)
> > To load the right device tree, on grub, please press 'e' to enter the edit
> > mode, when "openSUSE Tumbleweed" is selected on the graphical menu .
> > Then, you can add a new line with:
> >   devicetree /boot/dtb/rockchip/rk3399-pinebook-pro.dtb
> > 
> > (Please take a picture to confirm you did the right thing here)
> > 
> > And to start the boot, press ctrl-x.
> 
> okay. I did it.
> (in attachment)
> after which I saw the inscription that the deticetree file was not found.
> while I am again loaded with emmc that I mount the drive and check if this
> file is on it, tell me if I did everything right?

There is a typo: you wrote *rk399* instead of *rk3399*
Comment 27 Dmitry Markov 2022-01-24 17:06:25 UTC
there is such a way on the disk, but this is a simlink. I'll try to use the direct path now
Comment 28 Dmitry Markov 2022-01-24 17:08:02 UTC
(In reply to Guillaume GARDET from comment #26)
> (In reply to Dmitry Markov from comment #25)
> > Created attachment 855539 [details]
> > grubeditadddevtree
> > 
> > (In reply to Guillaume GARDET from comment #24)
> > > To load the right device tree, on grub, please press 'e' to enter the edit
> > > mode, when "openSUSE Tumbleweed" is selected on the graphical menu .
> > > Then, you can add a new line with:
> > >   devicetree /boot/dtb/rockchip/rk3399-pinebook-pro.dtb
> > > 
> > > (Please take a picture to confirm you did the right thing here)
> > > 
> > > And to start the boot, press ctrl-x.
> > 
> > okay. I did it.
> > (in attachment)
> > after which I saw the inscription that the deticetree file was not found.
> > while I am again loaded with emmc that I mount the drive and check if this
> > file is on it, tell me if I did everything right?
> 
> There is a typo: you wrote *rk399* instead of *rk3399*

oh, how inattentive I am.. sorry.
Comment 29 Dmitry Markov 2022-01-24 17:13:59 UTC
(In reply to Guillaume GARDET from comment #24)
> To load the right device tree, on grub, please press 'e' to enter the edit
> mode, when "openSUSE Tumbleweed" is selected on the graphical menu .
> Then, you can add a new line with:
>   devicetree /boot/dtb/rockchip/rk3399-pinebook-pro.dtb
> 
> (Please take a picture to confirm you did the right thing here)
> 
> And to start the boot, press ctrl-x.

so
I have written the full path to dtb and now I have an image on the screen.
this is of course the solution of only half the problems, but already something.
it remains to be understood why after recording the image on emmc pbp stopped responding to the on button as if there is no u-boot, although as far as I understand it is there.
Comment 30 Dmitry Markov 2022-01-24 17:16:35 UTC
and now I understand why wi-fi did not connect
no network device except lo is visible in the system
Comment 31 Dmitry Markov 2022-01-24 17:27:36 UTC
it seems that further experiments will have to be postponed. after I downloaded to opensuse from usb flash drives and finally saw the image I passed dmesg and journaltl into text files, and then made systemctl poweroff to boot into manjaro where there is a network and attach files here.
but pbp no longer turns on as if something had erased the areas needed to load with emmc.
I have no idea what could have happened. but without microsd, I can’t restore the device, but I don’t have it.
I will now take the logs through the second computer and put them here. probably this is the maximum that I can do today.
Comment 32 Dmitry Markov 2022-01-24 17:29:07 UTC
Created attachment 855540 [details]
dmesg

attach dmesg
Comment 33 Dmitry Markov 2022-01-24 17:29:37 UTC
Created attachment 855541 [details]
journalctl

attach journalctl
Comment 34 Guillaume GARDET 2022-01-26 09:08:03 UTC
Once you will be able to try again, please try latest Tumbleweed snapshot to check if grub is shown properly. Because u-boot has been updated to version 2022.01 in Tumbleweed snapshot 20220123.
IIUC, the led on the power button is not managed yet, so, this is expected it does not light up. Manjaro has a downstream patch to manage it.
Comment 35 Dmitry Markov 2022-01-26 17:07:36 UTC
so I'm with you again. I'm tired of disassembling my pbp to restore to working condition (seriously, I did it 10 times). so I flash a universal bootloader in SPI https://github.com/Tow-Boot/Tow-Boot and now at any given time I can boot from any device.
I downloaded a newer image of opensuse tumbleweed jeos and was surprised to find that now I have an image on the screen if I am loaded with USB but with emmc I can no longer boot at all, I tried to understand what was happening for a long time until I found that from a system loaded with USB I do not see mmcblk devices at all. that is, now emmc is not visible by the system and therefore is not loaded. with emmc itself, everything is in order, I am sure since manjaro is loaded from it and sees it if loaded with usb.
we can say that by defeating one problem we created another? ))
Comment 36 Dmitry Markov 2022-01-26 17:10:25 UTC
I also want to say that in the basic image it is necessary to add a package bcm43xx-firmware since the device does not have a wired network card and a wireless network card does not work without this package (at least sitting down on what I found on the forum).
Comment 37 Guillaume GARDET 2022-01-26 17:50:30 UTC
So, if I summarize current status:
* Pinebook Pro fails to boot from eMMC. (Fails at u-boot/grub or later at kernel stage?)
* it boots properly from USB, but there is no WiFi (due to lack of firmware) and no eMMC access.

Is that correct?

For the WiFi, does it work if you install bcm43xx-firmware?
If so, I will add it to the image.
Comment 38 Dmitry Markov 2022-01-26 17:57:02 UTC
(In reply to Guillaume GARDET from comment #37)
> So, if I summarize current status:
> * Pinebook Pro fails to boot from eMMC. (Fails at u-boot/grub or later at
> kernel stage?)
> * it boots properly from USB, but there is no WiFi (due to lack of firmware)
> and no eMMC access.
> 
> Is that correct?
> 
> For the WiFi, does it work if you install bcm43xx-firmware?
> If so, I will add it to the image.

If I boot from emmc I see grub and load kernel & initrd, but then black screen
If I load from USB I don't see emmc in lsblk & /dev.

I try Wi-Fi later and write result there.
Comment 39 Dmitry Markov 2022-01-27 04:27:26 UTC
(In reply to Guillaume GARDET from comment #37)
> So, if I summarize current status:
> * Pinebook Pro fails to boot from eMMC. (Fails at u-boot/grub or later at
> kernel stage?)
> * it boots properly from USB, but there is no WiFi (due to lack of firmware)
> and no eMMC access.
> 
> Is that correct?
> 
> For the WiFi, does it work if you install bcm43xx-firmware?
> If so, I will add it to the image.

so, with package bcm43xx-firmware wi-fi is work.
Comment 40 Dmitry Markov 2022-01-27 05:02:30 UTC
Created attachment 855637 [details]
dmesg_suse_usb

so I attach dmesg & journalctl with opensuse loaded from usb
Comment 41 Dmitry Markov 2022-01-27 05:02:56 UTC
Created attachment 855638 [details]
journal_suse_usb
Comment 42 Dmitry Markov 2022-01-27 05:04:15 UTC
I hope this helps to understand why emmc does not work.
by the way, I came across a mention that the opensuse for pbp does not work battery charge information. I can refute this, it works (at least now).
Comment 43 Dmitry Markov 2022-01-27 05:40:40 UTC
Created attachment 855639 [details]
audiovideo

and so I discovered something else. the sound card is determined, but there is no sound.
and not yet working opengl.
Comment 44 Dmitry Markov 2022-01-27 06:07:05 UTC
it's time to retrain from admins to testers..
I found another problem :
when performing systemctl poweroff, the device turns off correctly, but when you turn off the button from the kde plasma menu, the operating system turns off and there is no board, and to enable it you must first press the power button for a long time to turn off the board and then release it and press again to turn it on.
Comment 45 Guillaume GARDET 2022-01-27 08:01:19 UTC
With https://build.opensuse.org/request/show/949384 future images will have 'bcm43xx-firmware' installed by default, so wi-fi will work out of the box.
I also added 'sdhci-of-arasan' (for emmc) to the initrd to make sure it is loaded on boot.
Could you try to 'modprobe sdhci-of-arasan' manually and check if emmc is detected, please?

For gfx acceleration, you can try to remove '/etc/X11/xorg.conf.d/20-fbdev.conf' and reboot. It should use panfrost (from Mesa-gallium) to make use of the GPU.
Comment 46 Dmitry Markov 2022-01-27 08:11:47 UTC
(In reply to Guillaume GARDET from comment #45)
> With https://build.opensuse.org/request/show/949384 future images will have
> 'bcm43xx-firmware' installed by default, so wi-fi will work out of the box.
> I also added 'sdhci-of-arasan' (for emmc) to the initrd to make sure it is
> loaded on boot.
> Could you try to 'modprobe sdhci-of-arasan' manually and check if emmc is
> detected, please?
> 
> For gfx acceleration, you can try to remove
> '/etc/X11/xorg.conf.d/20-fbdev.conf' and reboot. It should use panfrost
> (from Mesa-gallium) to make use of the GPU.

so, i see after bot in lsmod this module without modprobe. wan't work.

> werwolf@localhost:~> sudo lsmod | grep -i sdhci
> [sudo] пароль для root: 
> sdhci_of_arasan        40960  1
> sdhci_pltfm            16384  1 sdhci_of_arasan
> sdhci                  86016  2 sdhci_pltfm,sdhci_of_arasan
> cqhci                  40960  1 sdhci_of_arasan
> mmc_core              208896  8 dw_mmc,sdhci,cqhci,btsdio,dw_mmc_rockchip,brcmfmac,pwrseq_simple,sdhci_of_arasan
Comment 47 Dmitry Markov 2022-01-27 08:18:05 UTC
o
opengl work now. thx
Comment 48 Guillaume GARDET 2022-01-27 10:12:13 UTC
Indeed, the kernel seems to load the module properly for the emmc:
 [Чт янв 27 09:44:08 2022] platform ff770000.syscon:phy@f780: Fixing up cyclic dependency with fe330000.mmc
 [Чт янв 27 09:44:21 2022] mmc0: SDHCI controller on fe330000.mmc [fe330000.mmc] using ADMA

I suspect the emmc problem is related to u-boot. There is a patch for u-boot upstream related to emmc: https://patchwork.ozlabs.org/project/uboot/patch/20220116201814.11672-3-alpernebiyasak@gmail.com/

Could you try to boot openSUSE from Manjaro u-boot (and pass the right device tree in grub), please?
If emmc is shown, then we will need to patch u-boot.
Comment 49 Dmitry Markov 2022-01-27 10:36:09 UTC
(In reply to Guillaume GARDET from comment #48)

> Could you try to boot openSUSE from Manjaro u-boot (and pass the right
> device tree in grub), please?
> If emmc is shown, then we will need to patch u-boot.

it will be problematic, as I recorded Tow-Boot in spi as far as I understand, using its u-boot. to try it I have to erase the tow-boot from spi, but then I will lose the ability to load with USB, and given that mmcblk does not work, I do not know how I will load.
or I misunderstand and can somehow indicate which u-boot to use?
Comment 50 Dmitry Markov 2022-01-27 11:07:35 UTC
Perhaps this looks like an attempt to sit on two chairs at once, but I asked the Tow-Boot developer to add this patch to his U-Boot :
https://github.com/Tow-Boot/Tow-Boot/issues/80

Perhaps he will do it faster than I get a screwdriver and microsd flash drive.

I leave this information here for history.
Comment 51 Dmitry Markov 2022-01-27 15:14:44 UTC
(In reply to Guillaume GARDET from comment #48)

> Could you try to boot openSUSE from Manjaro u-boot (and pass the right
> device tree in grub), please?
> If emmc is shown, then we will need to patch u-boot.

and so, I checked. it works.
I erased SPI. recorded manjaro image on emmc, and loaded with u-boot manjaro from usb flash drive with opensuse. add in grub the path to devicetree manually. after that mmcblk2 appeared in lsblk.
so I will wait for the correction in image & instruction how to update without rewrite all image (i try write u-boot.itd from manjaro to opensuse usb flash drive (sudo dd if=/mnt/loop0/u-boot.itb of=/dev/sdd seek=16384 conv=notrunc,fsync status=progress) but that kill partition table. although I was sure that the retreat was enough not to hurt it.)
Comment 52 Dmitry Markov 2022-01-28 15:49:58 UTC
and so, there is some information when waiting for a corrected image?
Comment 53 Guillaume GARDET 2022-02-04 12:35:57 UTC
(In reply to Dmitry Markov from comment #52)
> and so, there is some information when waiting for a corrected image?

A new image is out in [0] for you to test.

[0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/
Comment 54 Dmitry Markov 2022-02-05 12:56:38 UTC
(In reply to Guillaume GARDET from comment #53)
> (In reply to Dmitry Markov from comment #52)
> > and so, there is some information when waiting for a corrected image?
> 
> A new image is out in [0] for you to test.
> 
> [0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/

I tried a new image. unfortunately he is not loaded.

here you can see where the download stops (I waited more than an hour but the process did not go further)
https://disk.yandex.ru/i/rcYadJbuRVOSeQ

even manual deticetree write does not help

this time I extracted all the drives and tried to boot from the newly bought microsd so I'm sure there was no other u-boot besides being in the image.

more (before grub) I see some errors the meaning of which I do not understand:
https://disk.yandex.ru/i/ac1hbjIlBffRyA
Comment 55 Kim Tae Kyeong 2022-02-06 16:12:36 UTC
Maybe this repository can provide some .spec that is needed to fix some problems such as audio
https://github.com/bengtfredh/pinebook-pro-copr 

thanks for the effort!
Comment 56 Kim Tae Kyeong 2022-02-07 11:12:58 UTC
I tried the new image, it works great except for sound. It doesn't detect audio devices. (probably can be fixed with mentioned repository)

I have flashed tow boot to SPI, and manually added devicetree to grub.
Comment 57 Guillaume GARDET 2022-02-07 12:23:20 UTC
(In reply to Kim Tae Kyeong from comment #56)
> I tried the new image, it works great except for sound. It doesn't detect
> audio devices. (probably can be fixed with mentioned repository)

Could you check if you have sound with Headphones please?

> I have flashed tow boot to SPI, and manually added devicetree to grub.

Could you try to boot without Tow-boot, with openSUSE image on USB, eMMC and/or SD, please?
Comment 58 Guillaume GARDET 2022-02-07 12:24:18 UTC
(In reply to Dmitry Markov from comment #54)
> (In reply to Guillaume GARDET from comment #53)
> > (In reply to Dmitry Markov from comment #52)
> > > and so, there is some information when waiting for a corrected image?
> > 
> > A new image is out in [0] for you to test.
> > 
> > [0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/
> 
> I tried a new image. unfortunately he is not loaded.
> 
> here you can see where the download stops (I waited more than an hour but
> the process did not go further)
> https://disk.yandex.ru/i/rcYadJbuRVOSeQ
> 
> even manual deticetree write does not help
> 
> this time I extracted all the drives and tried to boot from the newly bought
> microsd so I'm sure there was no other u-boot besides being in the image.
> 
> more (before grub) I see some errors the meaning of which I do not
> understand:
> https://disk.yandex.ru/i/ac1hbjIlBffRyA

Could you try other devices: eMMC and/or USB please?
Comment 59 Kim Tae Kyeong 2022-02-07 12:49:10 UTC
(In reply to Guillaume GARDET from comment #58)
> (In reply to Dmitry Markov from comment #54)
> > (In reply to Guillaume GARDET from comment #53)
> > > (In reply to Dmitry Markov from comment #52)
> > > > and so, there is some information when waiting for a corrected image?
> > > 
> > > A new image is out in [0] for you to test.
> > > 
> > > [0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/
> > 
> > I tried a new image. unfortunately he is not loaded.
> > 
> > here you can see where the download stops (I waited more than an hour but
> > the process did not go further)
> > https://disk.yandex.ru/i/rcYadJbuRVOSeQ
> > 
> > even manual deticetree write does not help
> > 
> > this time I extracted all the drives and tried to boot from the newly bought
> > microsd so I'm sure there was no other u-boot besides being in the image.
> > 
> > more (before grub) I see some errors the meaning of which I do not
> > understand:
> > https://disk.yandex.ru/i/ac1hbjIlBffRyA
> 
> Could you try other devices: eMMC and/or USB please?

Sound doesn't seem to work even with pinebookpro-audio from that copr.

I think i flased the image to the emmc wrong way, is dd if=/opensuse.raw.xz of=/dev/mmcblk2 correct?
Comment 60 Guillaume GARDET 2022-02-07 12:58:49 UTC
(In reply to Kim Tae Kyeong from comment #59)
> (In reply to Guillaume GARDET from comment #58)
> > (In reply to Dmitry Markov from comment #54)
> > > (In reply to Guillaume GARDET from comment #53)
> > > > (In reply to Dmitry Markov from comment #52)
> > > > > and so, there is some information when waiting for a corrected image?
> > > > 
> > > > A new image is out in [0] for you to test.
> > > > 
> > > > [0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/
> > > 
> > > I tried a new image. unfortunately he is not loaded.
> > > 
> > > here you can see where the download stops (I waited more than an hour but
> > > the process did not go further)
> > > https://disk.yandex.ru/i/rcYadJbuRVOSeQ
> > > 
> > > even manual deticetree write does not help
> > > 
> > > this time I extracted all the drives and tried to boot from the newly bought
> > > microsd so I'm sure there was no other u-boot besides being in the image.
> > > 
> > > more (before grub) I see some errors the meaning of which I do not
> > > understand:
> > > https://disk.yandex.ru/i/ac1hbjIlBffRyA
> > 
> > Could you try other devices: eMMC and/or USB please?
> 
> Sound doesn't seem to work even with pinebookpro-audio from that copr.
> 
> I think i flased the image to the emmc wrong way, is dd if=/opensuse.raw.xz
> of=/dev/mmcblk2 correct?

No, you need to uncompress the *.raw.xz image to get a *.raw image first.
For the target device, I cannot tell if /dev/mmcblk2 is the eMMC or not, though.
Comment 61 Kim Tae Kyeong 2022-02-07 14:45:39 UTC
After logging in to newly created user, i actually can see my speaker/mic is noticed by system. It still doesn't play sound though
Comment 62 Guillaume GARDET 2022-02-07 15:04:26 UTC
(In reply to Kim Tae Kyeong from comment #61)
> After logging in to newly created user, i actually can see my speaker/mic is
> noticed by system. It still doesn't play sound though

I suspect the default values are setting volume to 0 and/or mute/disable.

Not sure if it is installed by default but you have some config files available in alsa-ucm-conf package which install /usr/share/alsa/ucm2/Rockchip/es8316/*.conf files.
Comment 63 Kim Tae Kyeong 2022-02-07 15:23:20 UTC
https://www.spinics.net/lists/alsa-devel/msg130450.html 
alsa-ucm-conf was installed by default. 

https://gitlab.manjaro.org/manjaro-arm/packages/community/pinebookpro-post-install/-/blob/master/asound.state

I copied asound.state to /var/lib/alsa and audio is working!
Comment 64 Dmitry Markov 2022-02-08 05:46:06 UTC
(In reply to Guillaume GARDET from comment #58)
> (In reply to Dmitry Markov from comment #54)
> > (In reply to Guillaume GARDET from comment #53)
> > > (In reply to Dmitry Markov from comment #52)
> > > > and so, there is some information when waiting for a corrected image?
> > > 
> > > A new image is out in [0] for you to test.
> > > 
> > > [0]: http://download.opensuse.org/ports/aarch64/tumbleweed/appliances/
> > 
> > I tried a new image. unfortunately he is not loaded.
> > 
> > here you can see where the download stops (I waited more than an hour but
> > the process did not go further)
> > https://disk.yandex.ru/i/rcYadJbuRVOSeQ
> > 
> > even manual deticetree write does not help
> > 
> > this time I extracted all the drives and tried to boot from the newly bought
> > microsd so I'm sure there was no other u-boot besides being in the image.
> > 
> > more (before grub) I see some errors the meaning of which I do not
> > understand:
> > https://disk.yandex.ru/i/ac1hbjIlBffRyA
> 
> Could you try other devices: eMMC and/or USB please?

I tried emmc and got the same result as with microsd.
unfortunately I am very time limited so I will try usb later (most likely tonight).
Comment 65 Kim Tae Kyeong 2022-02-09 08:45:01 UTC
I have noticed some issues after using it for few days :
- Sound is broken after deep sleep (suspend) 
    It make cracking sound
- Microphone is not working
    Tried disabling/enabling privacy switch
Comment 66 Kim Tae Kyeong 2022-02-09 08:54:12 UTC
Sorry for confusion, it was microphone gain being too low. Microphone works.
Comment 67 Kim Tae Kyeong 2022-02-10 04:12:19 UTC
To fix it not shutting down properly, remove package 'irqbalance'

https://blog.elementary.io/elementary-os-on-pinebook-pro/
Comment 68 Dmitry Markov 2022-02-12 15:19:52 UTC
Created attachment 856113 [details]
screen

(In reply to Guillaume GARDET from comment #58)
> Could you try other devices: eMMC and/or USB please?

I tried Snapshot20220207.
when emmc or sd has u-boot from this image I can boot from usb. but from emmc and sd the system is don't boot.
the last thing I see is inscriptions
> EFI stub :
in the corner of the screen
 (in attach)
further the system is not loaded
Comment 69 Dmitry Markov 2022-02-12 15:21:58 UTC
(In reply to Kim Tae Kyeong from comment #67)
> To fix it not shutting down properly, remove package 'irqbalance'
> 
> https://blog.elementary.io/elementary-os-on-pinebook-pro/

please tell me everything you have done with tow-boot in spi?
Comment 70 Dmitry Markov 2022-02-12 15:38:34 UTC
(In reply to Dmitry Markov from comment #68)
> Created attachment 856113 [details]
> screen
> 
> (In reply to Guillaume GARDET from comment #58)
> > Could you try other devices: eMMC and/or USB please?
> 
> I tried Snapshot20220207.
> when emmc or sd has u-boot from this image I can boot from usb. but from
> emmc and sd the system is don't boot.
> the last thing I see is inscriptions
> > EFI stub :
> in the corner of the screen
>  (in attach)
> further the system is not loaded

I'm sorry, I will clarify :
I can boot to opensuse only from u-boot from manjaro image on EMMC or SD.
I can boot opensuse only from USB.
I can't boot to opensuse from EMMC and SD.
I can't boot to opensuse with tow-boot from EMMC.
Comment 71 Kim Tae Kyeong 2022-02-18 11:48:25 UTC
(In reply to Dmitry Markov from comment #69)
> (In reply to Kim Tae Kyeong from comment #67)
> > To fix it not shutting down properly, remove package 'irqbalance'
> > 
> > https://blog.elementary.io/elementary-os-on-pinebook-pro/
> 
> please tell me everything you have done with tow-boot in spi?

Hi, i didn't do anything else than installing 2021.10 tow boot to spi. 

I flashed tow boot to spi, and opensuse image to eMMC.
Comment 72 Dmitry Markov 2022-02-19 16:11:54 UTC
Created attachment 856339 [details]
dmesg

in last opensuse image emmc not work
Comment 73 Kim Tae Kyeong 2022-02-23 05:58:50 UTC
I've updated to the latest snapshot(20220219), and audio doesn't work.

Tried restoring asound.state from manjaro repository, didn't work.

I don't see alsa or related package updated. What can be wrong?
Comment 74 Dmitry Markov 2022-02-26 18:20:33 UTC
anybody home?

a little scary long silence..
Comment 75 Dmitry Markov 2022-02-26 18:35:57 UTC
I just found out the strange
all this time I was tested on the JeOS image (it weighs less, download it faster every time). the latest version of JeOS was not loaded, but the KDE version was downloaded without problems, but from it I still do not see mmsblk devices with the same errors in dmesg that I already sent earlier.
Comment 76 Dmitry Markov 2022-04-18 06:33:47 UTC
and hello again.
it seems all this time I was deceived by the hardware component. emmc in my pbp doesn't seem to work properly. even in manjaro she sata disappear sometimes. true in opensuse and in armbian it just does not work. but still this is an indicator that the matter is in the hardware component and not in the software.
I ordered myself nvme adapter since playing with emmc is no longer a desire, with microsd opensuse it works great, and if there are problems with nvme, this will be a reason for a new issue. I propose to close this one.

I think it’s worth clarifying that I’m still not sure that the matter is ONLY in the hardware-compound, but as I understand it, it won’t work on my pbp+emmc copy.
perhaps later there will be another "happy" owner of pbp who can double-check.

Thanks to all the participants for the help.
see you in future issues :)
Comment 77 Matthias Brugger 2022-04-19 10:55:59 UTC
closing on request of reporter